<bugID>956628<Summary>Tab bar overflows with lots of buttons</Summary><Description>Created attachment 8355991
overflow.png

1. Start with Firefox in non-maximised mode (say 1/4-1/3 of screen width.  Minimum permissible width is even more fun)
2. In customise mode move everything possible into the tab bar.
3. For added effect, enter private browsing mode.

Effects:
* No tabs are visible in tab bar, no matter how many are opened
* icons can overlap with tab overflow buttons
* Scroll bar obscures bottom part of navigation toolbar - this scrollbar applies to the user interface only. It has no effect on content. (If bookmark toolbar enabled, bookmark toolbar is partially obscured instead)
* Icons continue past the end of the navigation toolbar
* With a sufficiently narrow window it is possible to scroll the navigation toolbar (including menu button) out of the visible area completely.

Do we need an overflow submenu for the tab bar as well as the nav bar?</Description></bugID>